javax.management.modelmbean

## Class XMLParseException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.management.modelmbean.XMLParseException

All Implemented Interfaces:
  Serializable

    public class XMLParseException
    extends Exception

This exception is thrown when an XML formatted string is being parsed into ModelMBean objects or when XML formatted strings are being created from ModelMBean objects. It is also used to wrapper exceptions from XML parsers that may be used.

The serialVersionUID of this class is `3176664577895105181L`.

Since:
  1.5
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`XMLParseException()` Default constructor .
`XMLParseException(Exception e, String s)` Constructor taking a string and an exception.
`XMLParseException(String s)` Constructor taking a string.

### Method Summary

### Methods inherited from class java.lang.Throwable

`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### XMLParseException

    public XMLParseException()

Default constructor .

#### XMLParseException

    public XMLParseException(String s)

Constructor taking a string.

Parameters:
  `s` - the detail message.

#### XMLParseException

    public XMLParseException(Exception e,
                     String s)

Constructor taking a string and an exception.

Parameters:
  `e` - the nested exception.
  `s` - the detail message.

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.